=== modified file 'Makefile'
--- Makefile	2009-11-17 13:14:18 +0000
+++ Makefile	2009-11-26 22:52:31 +0000
@@ -329,6 +329,8 @@
 launchpad.pot:
 	bin/i18nextract.py
 
+# Called by the rocketfuel-setup script. You probably don't want to run this
+# on its own.
 install: reload-apache
 
 copy-certificates:
@@ -347,7 +349,7 @@
 	a2ensite local-launchpad
 
 reload-apache: enable-apache-launchpad
-	/etc/init.d/apache2 reload
+	/etc/init.d/apache2 restart
 
 static:
 	$(PY) scripts/make-static.py

=== modified file 'utilities/rocketfuel-setup'
--- utilities/rocketfuel-setup	2009-11-12 06:57:28 +0000
+++ utilities/rocketfuel-setup	2009-11-26 22:52:31 +0000
@@ -7,7 +7,7 @@
 # workstation, from scratch. The script lives in the LP codebase itself,
 # as utilities/rocketfuel-setup
 
-# We require Bazaar 1.16.1 or higher.  
+# We require Bazaar 1.16.1 or higher.
 # So first, grab the output of 'bzr --version' and transform the
 # version line, like "Bazaar (bzr) 1.16.1", into "1 16 1":
 VER_RAW=`bzr --version | head -1 | sed -e 's/Bazaar (bzr) //g'`
@@ -315,6 +315,8 @@
   fi
 fi
 
+# Call the newly minted Launchpad branch's 'make install' target to do some
+# more apache setup.
 sudo make install > /dev/null
 if [ $? -ne 0 ]; then
   echo "ERROR: Unable to install apache config appropriately"

